<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>VectorUtil Member List</h1>This is the complete list of members for <a class="el" href="classVectorUtil.html">VectorUtil</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classVectorUtil.html#a0ee3c80bf22dfc8d8ee57f91d5bb5c56">adapt</a>(const double a[], const int size)</td><td><a class="el" href="classVectorUtil.html">VectorUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classVectorUtil.html#ac1ad10c3aa3fa41a5e4a5ed66a6daca1">adapt</a>(std::vector&lt; boost::any &gt; &amp;v)</td><td><a class="el" href="classVectorUtil.html">VectorUtil</a></td><td><code> [inline, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classVectorUtil.html#a05160bb97ded5ce595b53a8ac5c4898d">expand</a>(std::map&lt; double, double &gt; tabular, std::vector&lt; double &gt; &amp;x, std::vector&lt; double &gt; &amp;y)</td><td><a class="el" href="classVectorUtil.html">VectorUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classVectorUtil.html#a40d328e8627671bfdb60eae9971c07c9">max</a>(std::vector&lt; double &gt; v)</td><td><a class="el" href="classVectorUtil.html">VectorUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classVectorUtil.html#a9657abb8ccf67d38c1c6792bd5993035">mean</a>(std::vector&lt; double &gt; v)</td><td><a class="el" href="classVectorUtil.html">VectorUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classVectorUtil.html#abc372206f91bd827bf31bf7015049ae0">min</a>(std::vector&lt; double &gt; v)</td><td><a class="el" href="classVectorUtil.html">VectorUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classVectorUtil.html#ace827cfd16f1194b66f8d196a8f72a30">reverse</a>(double *a, const int n)</td><td><a class="el" href="classVectorUtil.html">VectorUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classVectorUtil.html#a00d01e85bfe7ab6bf9a0e120411312af">times</a>(const std::vector&lt; double &gt; v, const double scalar)</td><td><a class="el" href="classVectorUtil.html">VectorUtil</a></td><td><code> [static]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 22 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
